Subject: bug#3400: bug in add-text-properties

From: Lennart Borgman <[email-masked]>
Date: Fri, 29 May 2009 15:24:59 +0200

On Fri, May 29, 2009 at 9:00 AM, Werner LEMBERG <[email-masked]> wrote:
>
>> Point is at position 1 (i.e. just before the char "1" rather than
>> before the char "A"), so it makes sense for C-h = to return data
>> about that position rather than about some other position one line
>> down.
>
> I disagree.  Whereever point is, it should report the character after
> point which is accessible (this is, visible).  Perhaps it makes sense
> to add a red warning message in the output of `C-x =' that point is
> not located right before the displayed character.

I agree with you here, Werner. And I think the red warning is a good idea too.